package storers;

/**
 * Datastruct class over each sentence. Contains score, id, feature and the sentence itself.
 *
 */
public class Sentence {
	
	private String sentence;
	private int id;
	private String feature;
	private double posScore;
	private double negScore;
	
	public Sentence(int id, String sentence, String feature, double scorep, double scoren){
		this.setId(id);
		this.setSentence(sentence);
		this.setFeature(feature);
		this.setPosScore(scorep);
		this.setNegScore(scoren);
	}

	private void setNegScore(double scoren) {
		this.negScore = scoren;
		
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getSentence() {
		return sentence;
	}

	public void setSentence(String sentence) {
		this.sentence = sentence;
	}

	public String getFeature() {
		return feature;
	}

	public void setFeature(String feature) {
		this.feature = feature;
	}

	public double getPosScore() {
		return posScore;
	}

	public void setPosScore(double score) {
		this.posScore = score;
	}
	
	public double getNegScore(){
		return negScore;
	}
}
