package storers;

/**
 * Class that contains all the value of each SentiWord. Everything from id, positive value, negative value, wordtype et cetera.
 *
 */
public class SentiWord {
	private String id;
	private String word;
	private String wordType;
	private double posValue;
	private double negValue;
	
	public SentiWord(){
		id = null;
		word = null;
		wordType = null;
		posValue = 0.0;
		negValue = 0.0;
	}
	
	public SentiWord(String id, String word, String wordType, double posValue, double negValue){
		this.id = id;
		this.word = word;
		this.wordType = wordType;
		this.posValue = posValue;
		this.negValue = negValue;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getWord() {
		return word;
	}

	public void setWord(String word) {
		this.word = word;
	}

	public String getWordType() {
		return wordType;
	}

	public void setWordType(String wordType) {
		this.wordType = wordType;
	}

	public double getPosValue() {
		return posValue;
	}

	public void setPosValue(double posValue) {
		this.posValue = posValue;
	}

	public double getNegValue() {
		return negValue;
	}

	public void setNegValue(double negValue) {
		this.negValue = negValue;
	}
}
